cURL
curl --request GET \ --url https://api.example.com/analyses/{analysis_node_id}/findings \ --header 'Authorization: Bearer <token>'
{ "id": "<string>", "status": "waiting", "scopes": [ { "id": "<string>", "source_id": "<string>", "node_type": "ArrayTypeName", "src_start_pos": 123, "src_end_pos": 123, "name": "<string>", "path": "<string>", "is_auditable": true, "code_version_node_id": "<string>", "status": "<string>", "contract_id": "<string>", "generic_id": "<string>", "signature": "<string>" } ], "findings": [ { "id": "<string>", "code_version_node_id": "<string>", "type": "<string>", "level": "<string>", "name": "<string>", "explanation": "<string>", "recommendation": "<string>", "reference": "<string>", "feedback": "<string>", "validated_at": "<string>", "invalidated_at": "<string>" } ] }
retrieve the findings and scopes of an analysis
Documentation IndexFetch the complete documentation index at: https://docs.bevor.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.bevor.io/llms.txt
Use this file to discover all available pages before exploring further.
API key in Bearer token format
Successful Response
waiting
processing
success
failed
partial
Show child attributes